Skip to content

tools.update

Change a tool.

Reference

PUT/api/v1/tools/{tool_uuid}

Auth
API key in X-API-Key
Content
application/json
Returns
200 · ToolResponse

Update a tool. Args: tool_uuid: The UUID of the tool to update request: The update request Returns: The updated tool

Arguments

ArgumentInTypeRequiredDescription
tool_uuidpathstringrequired
namebodystringoptional
descriptionbodystringoptional
iconbodystringoptional
icon_colorbodystringoptional
definitionbodyHttpApiToolDefinition | EndCallToolDefinition | TransferCallToolDefinition | CalculatorToolDefinition | RateTableToolDefinition | McpToolDefinition | GoogleCalendarToolDefinition | ComposioToolDefinition | WebToolDefinitionoptional
statusbodystringoptional

Example request

curl -X PUT "https://api.decibyl.ai/api/v1/tools/<tool_uuid>" \
  -H "X-API-Key: dcb_your_key" \
  -H "Content-Type: application/json" \
  -d '{"name":"string","description":"string","icon":"string","icon_color":"string","definition":{"schema_version":1,"type":"string","config":{"method":"GET","url":"string","headers":{},"credential_uuid":"string","parameters":[{}],"preset_parameters":[{}],"timeout_ms":5000,"customMessage":"string","customMessageType":"text","customMessageRecordingId":"string","mock_response":{}}},"status":"string"}'

Response

{
  "id": 1,
  "tool_uuid": "string",
  "name": "string",
  "description": "string",
  "category": "string",
  "icon": "string",
  "icon_color": "string",
  "status": "string",
  "definition": {},
  "created_at": "2026-09-14T09:30:00Z",
  "updated_at": "2026-09-14T09:30:00Z",
  "created_by": {
    "id": 1,
    "provider_id": "string"
  }
}

Errors

StatusWhen
404Not found
422Validation Error